2026-04-14

Porteux - PorteuX - GRUB4DOS_UEFI #102-5

 

set uefi=-eltorito-alt-boot -no-emul-boot -eltorito-platform efi -b efi.img

-rw-r--r-- 1 root root 1179648 Jan 6 2025 efi.img

guest@porteux:~$ file /mnt/sr0/efi.img
efi.img: DOS/MBR boot sector, code offset 0x3c+2, OEM-ID "MSDOS5.0", root entries 224, sectors 2880 (volumes <=32 MB), sectors/FAT 9, sectors/track 18, serial number 0x24ac3aa0, label: "EFISECTOR  ", FAT (12 bit), followed by FAT

guest@porteux:~$ 7z l /mnt/sr0/efi.img 

7-Zip (z) 26.00 (x64) : Copyright (c) 1999-2026 Igor Pavlov : 2026-02-12
 64-bit locale=en_US.UTF-8 Threads:4 OPEN_MAX:1024, ASM

Scanning the drive for archives:
1 file, 1179648 bytes (1152 KiB)

Listing archive: /mnt/sr0/efi.img

--
Path = /mnt/sr0/efi.img
Type = FAT
ERRORS:
Unexpected end of archive
Physical Size = 1474560
File System = FAT12
Cluster Size = 512
Free Space = 1030656
Headers Size = 17920
Modified = 2012-07-25 22:00:30
Label = EFISECTOR
Sector Size = 512
ID = 615266976

   Date      Time    Attr         Size   Compressed  Name
------------------- ----- ------------ ------------  ------------------------
2012-07-25 15:00:30 D....                            EFI
2012-07-25 15:00:30 D....                            EFI/BOOT
2024-12-16 13:37:40 ....A       425984       425984  EFI/BOOT/BOOTX64.EFI
------------------- ----- ------------ ------------  ------------------------
2024-12-16 13:37:40             425984       425984  1 files, 2 folders

Errors: 1

guest@porteux:~$ strings-BSD EFI/BOOT/BOOTX64.EFI | egrep 'X64.EFI|2024|menu.lst'
/efi/grub/menu.lst
/EFI/BOOT/BOOTX64.EFI
 GRUB4DOS for_UEFI 2024-12-16, Mem: %dK/%dM/%ldM, Free_mem_start: 0x%x
/EFI/BOOT/BOOTX64.EFI
/efi/grub/menu.lst
find --set-root /efi/grub/menu.lst
title find /efi/grub/menu.lst
	find --set-root /efi/grub/menu.lst
	configfile /efi/grub/menu.lst



 GRUB4DOS for_UEFI 2024-12-16


https://github.com/porteux/porteux/issues/102#issuecomment-4248183741

2026-04-11

Porteux - PorteuX - GRUB4DOS_UEFI #102-4

 


mkiso.cmd - WINDOWS CMD

@echo off
set bios=-no-emul-boot -boot-load-size 4 -b grldr
set uefi=-eltorito-alt-boot -no-emul-boot -eltorito-platform efi -b efi.img
set iso=-o grub4dos_VTNORMAL.iso
set dir=%1
if %1a==a set dir=iso1
set iso9660x=-U -max-iso9660-filenames -D
set RR=-R
set joliet=-J -joliet-long -hide-joliet boot.catalog -hide-joliet efi.img
pushd %~dp0
bin\mkisofs %iso9660x% %RR% %joliet% %bios% %uefi% %iso% %dir%

quiet BOOT_IMAGE=/boot/vmlinuz from=LABEL:porteux

add -V porteux

VS.

create-iso.sh

guest@porteux:~$ cat /mnt/sr0/porteux/create-iso.sh
#!/bin/bash
# Script to create bootable ISO in Linux

if [ "$1" = "--help" -o "$1" = "-h" ]; then
	mainFolder=$(readlink -f $PWD/..)
	echo "Create bootable ISO from files in '$mainFolder'."
	echo "usage: $0 <option>"
	echo "By default the ISO is created in /tmp folder."
	echo
	echo "example: $0 /mnt/sda1/porteux.iso"
	exit
fi

CDLABEL="PorteuX"
ISONAME=$(readlink -f "$1")

if [ "$ISONAME" = "" ]; then
	ISONAME=/tmp/${CDLABEL,,}.iso
fi

echo "Fixing permissions..."
chmod 755 -R ../* || exit 1
echo guest | chown -R guest:users ../ || exit 1

echo "Generating '$ISONAME'..."
mkisofs -o "$ISONAME" -v -l -J -joliet-long -R -D -A "$CDLABEL" \
-V "$CDLABEL" -no-emul-boot -boot-info-table -boot-load-size 4 \
-b boot/syslinux/isolinux.bin -c boot/syslinux/isolinux.boot ../. > /dev/null 2>&1

if [ ! -e "$ISONAME" ]; then
	echo "Error creating ISO."
	exit 1
fi

echo "Writing boot partition..."
../boot/syslinux/isohybrid --partok "$ISONAME"

if [ $? -eq 0 ]; then
	echo "Finished successfully."
else
	echo "Error writing boot partition. '$ISONAME' has been created and it might work in some cases."
fi


https://github.com/porteux/porteux/issues/102#issuecomment-4230577368

Porteux - PorteuX - GRUB4DOS_UEFI #102-3

 

guest@porteux:~$ ls -l /mnt/sr0
total 1477
drwxr-xr-x 3 root root    2048 Apr  9 08:12 boot/
-r--r--r-- 1 root root    2048 Apr  9 10:16 boot.catalog
drwxr-xr-x 4 root root    2048 Apr  9 08:12 EFI/
-rw-r--r-- 1 root root 1179648 Jan  6  2025 efi.img
-rw-r--r-- 1 root root  322965 Feb 26  2024 grldr
drwxr-xr-x 6 root root    2048 Apr  9 08:12 porteux/
-rw-r--r-- 1 root root     857 Jan  6  2025 ventoy.dat

ventoy.dat - Ventoy Compatible
https://www.ventoy.net/en/doc_compatible_mark.html
https://www.ventoy.net/en/compatible.html



https://github.com/porteux/porteux/issues/102#issuecomment-4230568156

Porteux - PorteuX - GRUB4DOS_UEFI #102-2

 

[issue]: Improve support to PorteuX #2722

No bootfile found for UEFI!
Maybe the Image does not support x64 UEFI

Although Ventoy hasn't added proper support to PorteuX,

Just a workaround.


https://github.com/porteux/porteux/issues/102#issuecomment-4230565747

2026-04-09

Porteux - PorteuX - GRUB4DOS_UEFI #102


guest@porteux:~$ uname -a
Linux porteux 6.19.5-porteux #1 SMP PREEMPT_DYNAMIC Sat Feb 28 10:57:51 CET 2026 x86_64 Intel(R) Pentium(R) CPU G4560 @ 3.50GHz GenuineIntel GNU/Linux

guest@porteux:~$ sudo blkid /dev/sr0
/dev/sr0: BLOCK_SIZE="2048" UUID="2026-04-09-18-16-09-88" LABEL="porteux" TYPE="iso9660"

guest@porteux:~$ cat /proc/cmdline
quiet BOOT_IMAGE=/boot/vmlinuz from=LABEL:porteux baseonly norootcopy

guest@porteux:~$ df -h
Filesystem      Size  Used Avail Use% Mounted on
tmpfs           988M  7.3M  981M   1% /mnt/live
devtmpfs        984M     0  984M   0% /dev
/dev/sr0        573M  573M     0 100% /mnt/sr0
tmpfs           1.7G  7.1M  1.7G   1% /mnt/live/memory/changes
aufs            1.7G  7.1M  1.7G   1% /
/dev/loop0      247M  247M     0 100% /mnt/live/memory/images/000-kernel-6.19.5-20260228.xzm
/dev/loop1      132M  132M     0 100% /mnt/live/memory/images/001-core-current-20260228.xzm
/dev/loop2      128M  128M     0 100% /mnt/live/memory/images/002-gui-current-20260228.xzm
/dev/loop3       25M   25M     0 100% /mnt/live/memory/images/002-xtra-current-20260228.xzm
/dev/loop4       13M   13M     0 100% /mnt/live/memory/images/003-xfce-4.20-current-20260228.xzm
tmpfs           988M     0  988M   0% /dev/shm
cgroup_root     8.0M     0  8.0M   0% /sys/fs/cgroup
efivarfs        256K   73K  179K  29% /sys/firmware/efi/efivars
tmpfs           198M   12K  198M   1% /run/user/1000 






 


https://github.com/porteux/porteux/issues/102